Subject: [IPP] Question about "destination-uris" specification and behavior

From: fx IWASAKI MANABU <[email-masked]>
Date: Tue, 8 Jul 2014 12:08:18 +0900

Hi Michael-san, and All,

I'm in development of AirPrint using IPP in Fuji Xerox. I have few questions about IPP FaxOut Service. Could you possibly tell me the specification and behavior?

How our printer should behave if "destination-uris" is not correct via Create-Job? Please tell me about the following 3 cases.

1: One "destination-uris", but in the wrong format
2: Some "destination-uris", but mixed. some is correct, some is wrong format.
3: NOT designated "destination-uris"

Always thanks,
Manabu
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Tue, 08 Jul 2014 09:10:53 -0400

Manabu-san,

> 1: One "destination-uris", but in the wrong format

Return client-error-bad-request, per sections 4.2 and 4.4 of RFC 2911 and section 3.1.2.2.3 of RFC 3196.

> 2: Some "destination-uris", but mixed. some is correct, some is wrong format.

Return client-error-bad-request, per sections 4.2 and 4.4 of RFC 2911 and section 3.1.2.2.3 of RFC 3196.

> 3: NOT designated "destination-uris"

Return client-error-bad-request, per section 3.1.2.1.4.3 of RFC 3196.

(destination-uris is a required attribute and there is no reasonable default that could be applied)

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

---

From: fx IWASAKI MANABU <[email-masked]>
Date: Thu, 10 Jul 2014 09:38:36 +0900

Michael-san,

Thank you, I understand. If I have any more question, please tell me.

Always thanks,
Manabu

-----Original Message-----
From: Michael Sweet [mailto:[email-masked]] 
Sent: Tuesday, July 08, 2014 10:11 PM
To: fx IWASAKI MANABU
Cc: [email-masked]
Subject: Re: Question about "destination-uris" specification and behavior

Manabu-san,